Main Page glibmm Namespaces Book

# Gio::SocketAddressEnumerator Class Reference

Enumerator type for objects that contain or generate SocketAddresses. More...

Inheritance diagram for Gio::SocketAddressEnumerator:

[legend]

List of all members.

## Public Member Functions
virtual | ~SocketAddressEnumerator ()
GSocketAddressEnumerator* | gobj ()
| Provides access to the underlying C GObject.
const GSocketAddressEnumerator* | gobj () const
| Provides access to the underlying C GObject.
GSocketAddressEnumerator* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr<SocketAddress> | next (const Glib::RefPtr<Cancellable>& cancellable)
| Retrieves the next SocketAddress from enumerator.
Glib::RefPtr<SocketAddress> | next ()
void | next_async (const Glib::RefPtr<Cancellable>& cancellable, const SlotAsyncReady& slot)
void | next_async (const SlotAsyncReady& slot)
Glib::RefPtr<SocketAddress> | next_finish (const Glib::RefPtr<AsyncResult>& result)
| Retrieves the result of a completed call to g_socket_address_enumerator_next_async().
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr <Gio::SocketAddressEnumerator> | wrap (GSocketAddressEnumerator* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Enumerator type for objects that contain or generate SocketAddresses.

## Constructor & Destructor Documentation

virtual Gio::SocketAddressEnumerator::~SocketAddressEnumerator | ( |  | ) | `[virtual]`

## Member Function Documentation

GSocketAddressEnumerator* Gio::SocketAddressEnumerator::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GSocketAddressEnumerator* Gio::SocketAddressEnumerator::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GSocketAddressEnumerator* Gio::SocketAddressEnumerator::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::RefPtr<SocketAddress> Gio::SocketAddressEnumerator::next | ( | const Glib::RefPtr<Cancellable>& | cancellable | ) |

Retrieves the next SocketAddress from enumerator.

Note that this may block for some amount of time. (Eg, a NetworkAddress may need to do a DNS lookup before it can return an address.) Use g_socket_address_enumerator_next_async() if you need to avoid blocking.

If enumerator is expected to yield addresses, but for some reason is unable to (eg, because of a DNS error), then the first call to g_socket_address_enumerator_next() will return an appropriate error in * error. However, if the first call to g_socket_address_enumerator_next() succeeds, then any further internal errors (other than cancellable being triggered) will be ignored.

Parameters:

  | cancellable | Optional Cancellable object, `0` to ignore.

Returns:
  A SocketAddress (owned by the caller), or `0` on error (in which case* error will be set) or if there are no more addresses.

Glib::RefPtr<SocketAddress> Gio::SocketAddressEnumerator::next | ( |  | ) |

void Gio::SocketAddressEnumerator::next_async | ( | const Glib::RefPtr<Cancellable>& | cancellable,
|  | const SlotAsyncReady& | slot |
| ) |  |  |

void Gio::SocketAddressEnumerator::next_async | ( | const SlotAsyncReady& | slot | ) |

Glib::RefPtr<SocketAddress> Gio::SocketAddressEnumerator::next_finish | ( | const Glib::RefPtr<AsyncResult>& | result | ) |

Retrieves the result of a completed call to g_socket_address_enumerator_next_async().

See g_socket_address_enumerator_next() for more information about error handling.

Parameters:

  | result | A AsyncResult.

Returns:
  A SocketAddress (owned by the caller), or `0` on error (in which case* error will be set) or if there are no more addresses.

## Friends And Related Function Documentation

Glib::RefPtr<Gio::SocketAddressEnumerator> wrap | ( | GSocketAddressEnumerator * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- socketaddressenumerator.h